<form [formGroup]="form" (ngSubmit)="submit()">

  <mat-form-field appearance="fill">
    <mat-label>ID</mat-label>
    <input id="id" matInput formControlName="id">
  </mat-form-field>
  <br>

  <mat-form-field appearance="fill">
    <mat-label>Title</mat-label>
    <input matInput id="title" class="form-control" type="text" formControlName="title"  required/>
    <!-- For errors we usually use <mat-error> component -->
    <mat-hint align="end">
      <div *ngIf="form.controls.title.invalid && (form.controls.title.dirty || form.controls.title.touched)"
           class="alert alert-danger">
        <div *ngIf="form.controls.title.errors.required">
          Title is required.
        </div>
        <div *ngIf="form.controls.title.errors.minlength">
          Name must be at least 2 characters long.
        </div>
      </div>
    </mat-hint>
  </mat-form-field>
  <br>

  <!-- One small note on user experience- when doing dialogs always add a "Cancel" button, users will love you -->
  <button mat-raised-button class="submitButton" type="submit" [disabled]="!form.valid">OK</button>
</form>
